Page MenuHomePhabricator

Add prioritized languages to compact language links for nowiki
Closed, ResolvedPublic

Description

It seems like there are some sort of consensus on nowiki for a list of prioritized languages in CLL. The last discussion to reach consensus is Wikipedia:Tinget#Ønskede språk, and before that Wikipedia:Tinget#Standardutvalg av språk i sidemargen and Wikipedia:Tinget#Standardutvalg av språk utfra prosjekt.

In no specific order, but as they were listed

  • Norwegian Nynorsk (nn) 9/9
  • Swedish language (sv) 9/9
  • Danish language (da) 9/9
  • Faroese language (fo) 7/9
  • Icelandic language (is) 7/9

The list is still being updated, so numbers are changing.

If some order can be maintained, then Danish should probably be after Danish, as the list would then be descending on similarity with Norwegian Bokmål.

Hopefully this will curb some of the ongoing discussions about the missing links to other Scandinavian languages, like Wikipedia:Torget#Et bidrag til å gjøre nynorsk mindre synlig.

Note that the necessary functionality for this to work is now properly implemented as part of T138973.

Event Timeline

jeblad created this task.Oct 13 2016, 11:05 AM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 13 2016, 11:05 AM
jeblad updated the task description. (Show Details)Oct 13 2016, 11:06 AM
jeblad updated the task description. (Show Details)Oct 13 2016, 11:14 AM
jeblad updated the task description. (Show Details)Oct 13 2016, 11:41 AM
jeblad updated the task description. (Show Details)Oct 13 2016, 12:57 PM
Dereckson renamed this task from Add prioritized languages to CLL for nowiki to Add prioritized languages to compact language links for nowiki.EditedOct 14 2016, 6:46 PM
Dereckson added a subscriber: Dereckson.

"CLL" isn't an explicit feature name eough

Features should be immediately recognizable. With dozens of extensions and hundred of settings we should make a best effort to call them by their full name or by a really widespread abbreviation.

I've prepared https://gerrit.wikimedia.org/r/#/c/315983/ to clarify that and then renamed the task.

Order

@jeblad wrote:

Danish should probably be after Danish

What language order do you want there?

CompactLanguageList, the thing in the sidebar to compact the languages to a smaller set.

He he, Danish should probably be after Danish, that is pretty obvious! :D

Danish is closer to Norwegian Bokmål than Swedish, so it should be probably be listed after Nynorsk.

List would be (it is with descending readability)

  • Norwegian Nynorsk (nn) 9/9 (Official in Norway together with Bokmål)
  • Danish language (da) 9/9 (Common ancestor with Bokmål)
  • Swedish language (sv) 9/9 (Neighboring language to the east, very close)
  • Faroese language (fo) 7/9 (Neighboring language to the west, readable with some difficulty)
  • Icelandic language (is) 7/9 (Neighboring language to the west, readable with difficulty, readers need a little help to get started, common Norse language)
jeblad updated the task description. (Show Details)Nov 3 2016, 9:47 PM
jeblad awarded a token.
jeblad added a comment.Nov 7 2016, 1:11 PM

Can someone please update the init for nowiki from (this is at L16503-L16505)

	'nowiki' => [
		'sort' => 'alphabetic',
	],

to include the sortPrepend, like so

	'nowiki' => [
		'sort' => 'alphabetic',
		'sortPrepend' => [ 'nn', 'da', 'sv', 'fo', 'is' ],
	],

Change 326360 had a related patch set uploaded (by Dereckson):
Set language links order for no.wikipedia

https://gerrit.wikimedia.org/r/326360

Dereckson triaged this task as Normal priority.Dec 11 2016, 11:10 PM

Change 326360 merged by jenkins-bot:
Set language links order for no.wikipedia

https://gerrit.wikimedia.org/r/326360

Dereckson closed this task as Resolved.Dec 12 2016, 11:37 PM